<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Anmeldung\KursUebersicht\Detailsreiter\Termine\ShowFilterTermine;

class ShowFilterTermineUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\ShowFilterTermine\ShowFilterTermineUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_FA;
  }

  public static function getToolSectionId()
  {
    return 324;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess(338)) {
      return false;
    }
    if (!$this->isRechtAllowed('338.1.3')) {
      return false;
    }

    return true;
  }
}